Subject: Re: [PATCH 1/5] cpuidle: psci: Fail cpuidle registration if set OSI mode failed

From: Sudeep Holla <[email-masked]>
Date: Fri, 26 Jun 2020 15:47:44 +0100

On Fri, Jun 26, 2020 at 03:33:55PM +0100, Sudeep Holla wrote:
> On Mon, Jun 15, 2020 at 05:20:50PM +0200, Ulf Hansson wrote:
> > Currently we allow the cpuidle driver registration to succeed, even if we
> > failed to enable the OSI mode when the hierarchical DT layout is used. This
> > means running in a degraded mode, by using the available idle states per
> > CPU, while also preventing the domain idle states.
> >
> 
> Is that not better than not registering itself ? I tend to disagree here.
> 
> > Moving forward, this behaviour looks quite questionable to maintain, as
> > complexity seems to grow around it, especially when trying to add support
> > for deferred probe, for example.
> >
> 
> I thought the sync_state in the driver must deal with that.
> 

Ignore this I got confused and assumed we have this in the code while I
read 5/5 first 🙁

-- 
Regards,
Sudeep

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel